      SUBROUTINE SCOPY (N,X,IX,Y,IY)
      implicit double precision (A-H,O-Z)
C     COPY VECTOR X, STEP IX ONTO VECTOR Y, STEP IY, N ELEMENTS.
C     SIMULATE ROUTINE ON CRAY (SAME NAME AND callING SEQUENCE).
      dimension X(*),Y(*)
      include 'MOP6FILE'
      I=1
      do 10 J=1,IY*(N-1)+1,IY
         Y(J)=X(I)
   10 I=I+IX
      return
      end
